Subject: Re: [PATCH 17/18] arm64: fpsimd: Move SME save/restore inline

From: Vladimir Murzin <[email-masked]>
Date: Tue, 26 May 2026 15:39:56 +0100

Hi Mark,

On 5/26/26 15:08, Mark Rutland wrote:
> On Thu, May 21, 2026 at 02:25:55PM +0100, Mark Rutland wrote:
>> +static inline void __sme_save_za(struct sme_state *state, unsigned long svl)
>> +{
>> +	/* The <Wv> argument to STR (array vector) can only encode W12-W15 */
>> +	register unsigned long v asm ("12");
> Sorry, I had meant to put "x12" here, but evidently GCC and LLVM accept
> "12" on its own.
> 
> For clarity (e.g. to match the comment) I'll change that to "w12" and
> make the type unsigned int. Likewise in __sme_load_za().
> 

I suspect you are intentionally not using "Ucj" constrain to limit register allocator,
if so I'm wondering why?

Cheers
Vladimir

> Mark.